from rest_framework.views import APIView
from rest_framework.response import Response
from rest_framework import permissions, status
from rest_framework.authentication import SessionAuthentication
from django.utils.translation import gettext as _
from ..models import FriendModel


class FriendsView(APIView):
    permission_classes = (permissions.IsAuthenticated,)
    authentication_classes = (SessionAuthentication,)

    def get(self, request):
        friends = FriendModel().getFriends(request.user.pk)
        if (friends):
            return Response({"friends": friends, "user_id": request.user.pk}, status=status.HTTP_200_OK)
        return Response({}, status=status.HTTP_204_NO_CONTENT)
